org.wso2.carbon.webapp.mgt.sso

## Class SAMLSSOValve

- java.lang.Object
- - org.apache.catalina.util.LifecycleBase
  - - org.apache.catalina.util.LifecycleMBeanBase
    - - org.apache.catalina.valves.ValveBase
      - - org.apache.catalina.authenticator.SingleSignOn
        - - org.wso2.carbon.webapp.mgt.sso.SAMLSSOValve

- All Implemented Interfaces:
    MBeanRegistration, org.apache.catalina.Contained, org.apache.catalina.Lifecycle, org.apache.catalina.Valve

      public class SAMLSSOValve
      extends org.apache.catalina.authenticator.SingleSignOn

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

      `org.apache.catalina.Lifecycle.SingleUse`

  - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.authenticator.SingleSignOn

      `cache, info, LAST_ACCESS_AT_START`

    - ### Fields inherited from class org.apache.catalina.valves.ValveBase

      `asyncSupported, container, containerLog, next`

    - ### Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `mserver`

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLSSOValve()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `backgroundProcess()`
    `protected void` | `handleException(javax.servlet.http.HttpServletRequest request, org.wso2.carbon.identity.sso.agent.SSOAgentException e)`
    `void` | `invoke(org.apache.catalina.connector.Request request, org.apache.catalina.connector.Response response)`

    - ### Methods inherited from class org.apache.catalina.authenticator.SingleSignOn

      `associate, deregister, getCookieDomain, getInfo, getRequireReauthentication, getSessionListener, reauthenticate, register, removeSession, sessionDestroyed, setCookieDomain, setRequireReauthentication, startInternal, stopInternal, update`

    - ### Methods inherited from class org.apache.catalina.valves.ValveBase

      `event, getContainer, getDomainInternal, getNext, getObjectNameKeyProperties, initInternal, isAsyncSupported, setAsyncSupported, setContainer, setNext, toString`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleBase

      `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, init, removeLifecycleListener, setState, setState, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLSSOValve

          public SAMLSSOValve()
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### invoke

          public void invoke(org.apache.catalina.connector.Request request,
                             org.apache.catalina.connector.Response response)
                      throws IOException,
                             javax.servlet.ServletException

      Specified by:
        `invoke` in interface `org.apache.catalina.Valve`
      Overrides:
        `invoke` in class `org.apache.catalina.authenticator.SingleSignOn`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### backgroundProcess

          public void backgroundProcess()

      Specified by:
        `backgroundProcess` in interface `org.apache.catalina.Valve`
      Overrides:
        `backgroundProcess` in class `org.apache.catalina.valves.ValveBase`

    - #### handleException

          protected void handleException(javax.servlet.http.HttpServletRequest request,
                                         org.wso2.carbon.identity.sso.agent.SSOAgentException e)
                                  throws org.wso2.carbon.identity.sso.agent.SSOAgentException

      Throws:
        `org.wso2.carbon.identity.sso.agent.SSOAgentException`

Copyright © 2017 WSO2. All rights reserved.